/*
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */
akeeba.jQuery(document).ready(function ($)
{
	var blockOptions = {
		message:       $('#ajaxFormFeedback'),
		blockMsgClass: 'akeeba-renderer-fef blockMsg',
		css:           {
			padding: '20px',
			width:   '400px',
			cursor:  'default'
		}
	};

	var options = {
		dataType:       'json',
		url:            ATS_ROOT_URL + 'index.php?option=com_ats&view=Post&task=save&tmpl=component&format=json',
		beforeSubmit:   function ()
						{
							ats_ticket_cansubmit = true;
							ticketBeforeSubmit();
							$('.blockUI .akeeba-progress-fill').css('width', '0%');
							$('.closeUpload').show();
							$('.reloadTicketList').hide();
							$.blockUI(blockOptions);
							$('.blockUI .messageHolder').hide();
						},
		uploadProgress: function (e, position, total, perc)
						{
							$('.blockUI .akeeba-progress-fill').css('width', perc + '%');
						},
		success:        function (json)
						{
							$('.blockUI .akeeba-progress-fill').css('width', '100%');

							if (!json.result)
							{
								$('.blockUI .message').html(json.error);
								$('.blockUI .messageHolder').show();

								if (json.forceReload)
								{
									$('.closeUpload').hide();
									$('.reloadTicketList').show();
									$('input[name="last_ats_post_id"]').val(json.lastPost);
								}
							}
							else
							{
								$('input[name="last_ats_post_id"]').val(json.id);
								$('#bbcode').val('');

								$('.ats-attachments').empty();
								$('.attFileField').children().first().val('');

								$('#ats-timespent').val('');

								$.ajax(ATS_ROOT_URL + 'index.php?option=com_ats&view=Post&task=read&layout=single&tmpl=component&render.toolbar=0', {
									cache:   false,
									data:    {
										id:               json.id,
										format:           'raw',
										bootstrap:        false,
										attachmentErrors: json.attachment_errors,
										returnurl:        $('input[name="returnurl"]').val()
									},
									success: function (html)
											 {
												 var newpost = $(html);
												 $.unblockUI();
												 newpost.appendTo('#atsPostList').hide().show();
												 $('html, body').animate({
													 scrollTop: $('#p' + json.id).offset().top
												 }, 400);
											 }
								});
							}
						}
	};

	$('.closeUpload').click(function ()
	{
		$.unblockUI();
	});

	$('.reloadTicketList').click(function ()
	{
		$('.blockUI .message').html(Joomla.JText._('COM_ATS_COMMON_RELOADING'));
		$('.reloadTicketList').hide();

		$.ajax(ATS_ROOT_URL + 'index.php?option=com_ats&view=Posts&layout=threaded&tmpl=component&render.toolbar=0', {
			cache:   false,
			data:    {
				format:        'raw',
				ats_ticket_id: $('input[name="ats_ticket_id"]').val(),
				category_id:   $('#category_id').val(),
				bootstrap:     false,
				returnurl:     $('input[name="returnurl"]').val()
			},
			success: function (html)
					 {
						 $('#atsPostList').empty().html(html);
						 $.unblockUI();
						 $('html, body').animate({
							 scrollTop: $('#atsPostList .ats-post:last').offset().top
						 }, 400);
					 }
		});
	});

	$('form[name="ats_reply_form"]').ajaxForm(options);
});
