/*
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */
var ats_ticket_cansubmit = false;

function ticketBeforeSubmit()
{
    if(!ats_ticket_cansubmit) return false;
    return true;
}

function ticketDoSubmit()
{
    ats_ticket_cansubmit = true;

    if (ats_timespent_mandatory)
    {
        ats_ticket_cansubmit = ($('#ats-timespent').val() > 0)
    }

    document.forms.ats_reply_form.submit();
}

akeeba.jQuery(document).ready(function($){
    akeeba.fef.dropdown();

    $('.assignto nav.akeeba-dropdown a').on('click', function(){
        var btn_class = '--grey';
        var id	   	  = $('input[name="ats_ticket_id"]').val();
        var assign_to = $(this).data('userid');

        // Teal class if we're assigning to us
        if (assign_to && assign_to == document.getElementById('user').value){
            btn_class = '--teal';
        }
        // Dark if it's assigned to someone else
        else if (assign_to){
            btn_class = '--dark';
        }

        var structure = {
            _rootElement: this,
            type: "POST",
            dataType: 'json',
            url : ATS_ROOT_URL + 'index.php?option=com_ats&view=Tickets&format=json&' + $('#token').attr('name') + '=1',
            data: {
                'task' : 'assign',
                'id'   : id,
                'assigned_to' : assign_to
            },
            success: function(responseJSON)
            {
                var assigned = $(this._rootElement).parents('nav').find('button');

                if(responseJSON.result == true){
                    assigned.removeClass('akeeba-btn--small--grey akeeba-btn--small--teal akeeba-btn--small--dark');
                    assigned.addClass('akeeba-btn--small' + btn_class);
                    assigned.html(responseJSON.assigned);
                }
            }
        };

        $.ajax( structure );
    });

    $('.ticketstatus nav.akeeba-dropdown a').click(function(){
        var self = this;
        $.ajax(ATS_ROOT_URL + 'index.php?option=com_ats&view=Tickets&task=ajax_set_status&format=json&'+$('#token').attr('name')+'=1',{
            type : 'POST',
            dataType : 'json',
            data : {
                'id' 	 : $('input[name="ats_ticket_id"]').val(),
                'status' : $(this).data('status')
            },
            success : function(responseJSON){
                if(responseJSON.err){
                    alert(responseJSON.err);
                }
                else{
                    var label = $(self).parents('nav').find('button');
                    label.html(responseJSON.msg);
                }
            }
        })
    });

    $('.atsTooltip').tooltip({placement: 'bottom'});
    var replyNoJS = document.getElementById('ats-reply-postbutton-nojs');

    if (replyNoJS)
    {
        replyNoJS.style.display = 'none';
    }
});
