<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

// Load FOF if not already loaded
if (!defined('FOF30_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof30/include.php'))
{
	throw new RuntimeException('This extension requires FOF 3.0.');
}

class plgsh404sefextpluginsCom_atsInstallerScript extends FOF30\Utils\InstallScript\Plugin
{
	/**
	 * Overrides FOF parent method to prevent files being copied in the wrong folder
	 *
	 * @param JInstallerAdapterComponent $parent
	 */
	protected function bugfixFilesNotCopiedOnUpdate($parent)
	{
		/*
		 * This plugin is kinda special: it uses Joomla installer but haws his own logic within the manifest file. This means
		 * that it must be named "com_ats" even if it's a plugin and goes in a different folder. This causes FOF method
		 * `bugfixFilesNotCopiedOnUpdate` to calculate the wrong path, resulting in files being copied in the wrong place.
		 * Since they are only 3 files, the easiest solution is to override parent method and deal with it.
		 */
	}
}
